import _ from 'lodash';
import { EventEmitter } from 'events';
import { computed } from 'mobx';
import debug from 'debug';
import axios from 'axios';
import stores from '@stores';

const http = axios.create({
  baseURL: '/api/'
  // headers: {'X-Auth-Token': token}
});

export default class BaseStore extends EventEmitter {
  http = http

  constructor() {
    super();
    this.listArgs = {};
  }

  get myStatus() {
    return stores.root.getStore(this.constructor.name);
  }

  @computed get fetching() {
    return !!_.get(this.myStatus, 'fetching', false);
  }

  get debug() {
    return debug(`client::Store::${this.constructor.name}`);
  }
}
